List all records
GET
List all records
Authorizations
API key authentication. Use Authorization: Bearer thub_xxxxx
Headers
API key token (e.g., Bearer thub_abc123)
Query Parameters
Filter by workspace
Filter by taxonomy
Page number
Items per page
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://{defaultHost}/api/v1/records \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"status": "<string>",
"terminus_id": "<string>",
"data": {}
}
],
"has_more": true,
"total_count": 123
}API key authentication. Use Authorization: Bearer thub_xxxxx
API key token (e.g., Bearer thub_abc123)
Filter by workspace
Filter by taxonomy
Page number
Items per page
curl --request GET \
--url https://{defaultHost}/api/v1/records \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"status": "<string>",
"terminus_id": "<string>",
"data": {}
}
],
"has_more": true,
"total_count": 123
}